#/usr/bin/python2
#encoding=utf-8  
import sys
import urllib
import urllib2
import json
import ssl
from datetime import datetime,timedelta

class ItemReply:

    

    def __init__(self, ItemID,CleanText,FetchTime,PubDate,AuthorName,AuthorID,Location,Source,Mark):
        self.__ItemID = ItemID#所回复的条目
        self.__CleanText = CleanText #内容
        self.__FetchTime = FetchTime #抓取时间 DateTime
        self.__PubDate = PubDate#页面显示发布时间 DateTime
        self.__AuthorName = AuthorName#作者名
        self.__AuthorID = AuthorID   #作者ID
        self.__Location = Location#作者或内容的地点属性
        self.__Source = Source  #显示来源(比如使用终端等)
        self.__Mark = Mark#星标(多级别) SByte

    
    @property
    def ItemID(self):
        return self.__ItemID

    @ItemID.setter
    def ItemID(self,ItemID):
        self.__ItemID = str(ItemID)



    @property
    def CleanText(self):
        return self.__CleanText

    @CleanText.setter
    def CleanText(self,CleanText):
        self.__CleanText = str(CleanText)


    @property
    def FetchTime(self):
        return self.__FetchTime

    @FetchTime.setter
    def FetchTime(self,FetchTime):
        self.__FetchTime = str(FetchTime)

    @property
    def PubDate(self):
        return self.__PubDate

    @PubDate.setter
    def PubDate(self,PubDate):
        self.__PubDate = str(PubDate)





    @property
    def AuthorName(self):
        return self.__AuthorName

    @AuthorName.setter
    def AuthorName(self,AuthorName):
        self.__AuthorName = str(AuthorName)


    @property
    def AuthorID(self):
        return self.__AuthorID

    @AuthorID.setter
    def AuthorID(self,AuthorID):
        self.__AuthorID = str(AuthorID)




    @property
    def Location(self):
        return self.__Location

    @Location.setter
    def Location(self,Location):
        self.__Location = str(Location)




    @property
    def Source(self):
        return self.__Source

    @Source.setter
    def Source(self,Source):
        self.__Source = str(Source)



    @property
    def Mark(self):
        return self.__Mark

    @Mark.setter
    def Mark(self,Mark):
        self.__Mark = int(Mark)
